Skip to main content

Checkpoint Now

Required role: write or higher.

Initiates checkpoint for a running or paused pipeline.

Returns a checkpoint sequence number that can be used with /checkpoint_status to determine when the checkpoint has completed.

Path Parameters
pipeline_name string — REQUIRED

Unique pipeline name

Responses
200

Checkpoint initiated

Schema — OPTIONAL
checkpoint_sequence_number int64
incarnation_uuid uuid — OPTIONAL

Pass back to /checkpoint_status to detect pipeline restarts.

Only None if sent by an older pipeline.

404

Pipeline with that name does not exist

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.